it-swarm.asia

Git macOS Mojave Güncellemesinden sonra çalışmıyor (xcrun: error: geçersiz aktif geliştirici yolu (/ Library/Developer/CommandLineTools)

Dün gece (Kasım 2018) macOS Mojave 'ye güncellendi 

Bu sabah, MacBook pro'mdaki Komut satırında işimin kod temeline gittim 

depoda "git status" yazdı ve hatayı aldı: 

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
363
dustbuster

Sorun, Xcode Komut Satırı Araçlarının güncellenmesi gerektiğidir. 

Terminalinize geri dönün ve vurun: 

xcode-select --install

Daha sonra alacaksınız: 

xcode-select: note: install requested for command line developer tools

Ve bir pencerede Xcode Komut Satırı araçlarını güncellemeniz istenir. 

Güncelleme tamamlandıktan sonra, yeni bir terminal penceresi açın ve geliştirme araçlarınız iade edilmelidir. 

Ekleme: Herhangi bir büyük veya yarı büyük güncellemeyle, tekrar düzgün işlemelerini sağlamak için komut satırı araçlarını güncellemeniz gerekir. Herhangi bir güncelleme ile Xcode'u kontrol edin. Bu Mojave'nin ötesine geçiyor ... 

657
dustbuster

Deneme sırasında yazılımın güncelleme sunucusundan kullanılamadığını gösteren bazı hatalar aldım. 

xcode-select --install

Benim için neyi düzelttirdi burada https://developer.Apple.com/download/more/ adresine gidip Command Line Tools (macOS 10.14) for Xcode 10 dosyasını indirip elle yüklemek.

Bundan sonra, yeni bir terminal açtığınızda hatalar giderilmelidir.

73
deef

Benim için xcode-select --reset, Mojave'deki çözümdü.

38
H6.

Dustbuster'ın cevabına ek olarak, bu komutla Xcode klasörünün yolunu ayarlamam gerekiyordu:

Sudo xcode-select -switch /Library/Developer/CommandLineTools
28

Benim için çalıştı ne şudur:

Sudo xcode-select --reset

Sonra @ High6'nın cevabındaki gibi:

Sudo xcodebuild -license

Bu bir Xcode lisansı olduğunu varsaydığım bir lisansı ortaya çıkaracaktır. Kullanarak aşağıya doğru kaydırın space (veya fare) ardından agree öğesine dokunun.

MacOS Mojave v 10.14'te benim için çalıştı.

28
briankip

Xcode Komut Satırı Araçları bölümünü hata mesajından çözdüm, ancak Xcode'u çalıştırdıktan sonra Ek Araçları kullanmasını istedikten sonra bunları yüklemek için hak iddia etti, ancak yine de yeni bir terminal açtıktan sonra aynı hatayı aldım.

Bu yüzden xcode-select --install el ile yaptım ve ondan sonra benim için çalıştı.

25
P. Hurme

Benim için, yüklü xcode yoktu (Mojave OS'de). Mac'imde App Store'a gittim ve indirdim, sonra terminale geri döndüm ve git yazdım ve enter tuşuna basın, sonra çalıştı.

4
kiko carisse

benim durumumda xcode ile kontrol edilmedi

bunu aşağıdaki gibi yapabilirsiniz: xcode -> Tercihler ve Konumlar'a dokunun, ardından aşağıdaki görüntüyü seçin.

enter image description here

4
taha

Bu benim için çalışıyor

Sudo xcode-select --reset 
Sudo xcodebuild -license

X kodu yüklenmeli.

2
Daniel

Xcode sürümümün çok eski olduğunu ve komut satırı araçlarının yüklenmesinin yardımcı olmadığını gördüm. İşte yaptığım şey:

  • Modası geçmiş XCode'u tamamen kaldırdım
  • En son XCode'u uygulama mağazasından yeniden yükledim
  • Hepsi buydu. Git restore edildi.

Umarım bu başka birine yardım eder ...

2
Caleb Mbakwe

Bunu dene:

Sudo xcode-select --reset 
Sudo xcodebuild -license

veya bu:

xcode-select --install
0

Catalina ve Xcode-beta kullananlar için:

Sudo xcode-select -s /Applications/Xcode-beta.app/Contents/Developer
0
Destry

eğer xcode yoksa veya xcode kullanmadan manuel olarak ayarlarsanız.

  1. Sudo rm -rf/Kütüphane/Geliştirici/CommandLineTools
  2. https://developer.Apple.com/download/more/ ve Xcode 10 için Komut Satırı Araçları'nı (macOS 10.14) indirmek ve sonra elle yüklemek.
  3. Kurulum Komut Satırı Araçları 

Kolay olsun

else

  1. xcode-select - kurulum. bu kadar yeter.
0